var tmpl=`
  <el-switch :value="value" @change="onChange" v-model="sw"
    :active-color="acColor"
    :inactive-color="inactColor"
    :active-text="acText"
    :inactive-text="inactText">
  </el-switch>
`
module.exports=
`{
   template:'${tmpl}',
   model:{
    prop: 'value',
    event: 'change'
   },
   props:['acColor','inactColor','acText','inactText','value'],
   data:function(){
     return {
       sw:this.value,
     };
   },
   watch:{
     value:function(v){
        this.sw=v;
     }
   },
   methods:{
    onChange(v){
       this.$emit("change",v);
    },
   },
   vname:"gsb-switch"
}`
